//#declare metal=texture {pigment {rgb 1}}

#declare lateral_curena=
union
{
 union
 {
  box {<-1.5,5,-.2>,<1.5,4.05,.2>}
  box {<-1.5,4,-.2>,<4,3.05,.2>}
  box {<-1.5,3,-.2>,<9,2.05,.2>}
  box {<-1.5,2,-.2>,<9,.5,.2>}
  texture {madera2}
 }
 union
 {
  box {<-1,4.5,-.21>,<-1.2,1,.21>}
  box {<1,4.5,-.21>,<1.2,1,.21>}
  box {<3,3.8,-.21>,<3.2,1,.21>}
  box {<4.5,2.8,-.21>,<4.7,1,.21>}
  box {<8.5,2.8,-.21>,<8.7,1,.21>}
  texture {metal}
 }
}

#declare interior_curena=
union
{
 box {<1.5,1,1>,<7,3.2,-1>}
 prism {linear_spline .75,-.75 4 <5,3.2>,<6.8,3.8>,<6.8,3.2>,<5,3.2> rotate x*-90}
 texture {madera2}
}

#declare frontal_curena=
union
{
 union
 {
  box {<.2,3,1.6>,<-.2,2.05,-1.6>}
  box {<.2,2,1.6>,<-.2,1,-1.6>}
  texture {madera2}
 }
 union
 {
  box {<-.21,2.8,1.2>,<.21,1.2,1.4>}
  box {<-.21,2.8,-1.2>,<.21,1.2,-1.4>}
  box {<-.21,2.8,-.2>,<.21,1.2,.2>}
  texture {metal}
 }
}

#declare eje_canon=
union
{
 cylinder {<0,5,2.1>,<0,5,-2.1>,.3}
 cylinder {<0,5,-1.95>,<0,5,-1.65>,.4}
 cylinder {<0,5,1.95>,<0,5,1.65>,.4}
 box {<-1,5,1.95>,<1,5.1,1.65>}
 box {<-1,5,-1.95>,<1,5.1,-1.65>}
 sphere {<-.8,5.1,-1.8>,.1} sphere {<.8,5.1,-1.8>,.1}
 sphere {<-.8,5.1,1.8>,.1} sphere {<.8,5.1,1.8>,.1}
 texture {metal}
}

#declare rueda=
union
{
 cylinder {<0,0,.2>,<0,0,-.2>,.9 texture {madera2}}
 box {<-.05,.9,.2001>,<.05,-.9,-.2001> pigment {rgb 0}}
 box {<.5,.4,-.21>,<-.5,.6,.21>}
 box {<.5,-.4,-.21>,<-.5,-.6,.21>}
 cylinder {<0,0,.19>,<0,0,-.19>,1}
 texture {metal}
}

#declare tubo1=
union
{
 sphere {<6,0,0>,1.25}
 cylinder {<6,0,0>,<-2,0,0>,1.25}
 cone {<-2,0,0>,1.25,<-10,0,0>,1}
 cone {<-9.9,0,0>,1.25,<-8,0,0>,1}
 cone {<-10,0,0>,1.15,<-8,0,0>,1}
 torus {1.15,.1 rotate z*90 translate x*-9.9}
 torus {1.25,.1 rotate z*90 translate x*-1.9}
 torus {1.25,.1 rotate z*90 translate x*2.9}
 torus {1.25,.1 rotate z*90 translate x*5.9}
 sphere {<7.45,0,0>,.3}
 difference
 {
  box {<4,.5,.15>,<5.5,1.45,-.15>}
  cylinder {<5.2,.6,0>,<5.2,1.46,0>,.1}
 }
 texture {metal}
}

#declare tubo=
difference
{
 object {tubo1}
 cylinder {<0,0,0>,<-11,0,0>,.8 pigment {rgb 0}}
}

#declare anilla=
union
{
 box {<-.2,.7,0>,<.2,-.7,-.05>}
 sphere {<0,.5,-.05>,.1} sphere {<0,-.5,0>,.1}
 torus {.275,.055 rotate z*90 translate z*-.2}
 texture {metal}
}

#declare doce_libras=
union
{
 object {lateral_curena translate z*1.8}
 object {lateral_curena translate z*-1.8}
 object {interior_curena}
 object {frontal_curena translate x*-1.3}
 object {frontal_curena translate x*3.5}
 object {frontal_curena translate x*6.5}
 object {eje_canon}
 cylinder {<0,1,-2.6>,<0,1,2.6>,.3 texture {metal}}
 cylinder {<7,1,-2.6>,<7,1,2.6>,.3 texture {metal}}
 object {rueda rotate z*35 translate <0,1,2.3>}
 object {rueda rotate z*5 translate <0,1,-2.3>}
 object {rueda rotate z*205 translate <7,1,-2.3>}
 object {rueda rotate z*57 translate <7,1,2.3>}
 object {tubo translate <0,5,0>}
 object {anilla translate <-.5,3,-2>}
 object {anilla translate <5.5,2,-2>}
 object {anilla rotate y*180 translate <-.5,3,2>}
 object {anilla rotate y*180 translate <5.5,2,2>}
}
